summary refs log tree commit diff
path: root/.config/waybar/module-timew.sh
diff options
context:
space:
mode:
Diffstat (limited to '.config/waybar/module-timew.sh')
-rwxr-xr-x.config/waybar/module-timew.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/.config/waybar/module-timew.sh b/.config/waybar/module-timew.sh
new file mode 100755
index 0000000..6b3df10
--- /dev/null
+++ b/.config/waybar/module-timew.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -eu
+[ -n "${DEBUG:-}" ] && set -x
+
+shopt -s extglob
+
+update() {
+	timew waybar
+}
+
+update || echo '{}'